/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#ifndef __flockLucene_h__
#define __flockLucene_h__

#include "flockILucene.h"
#include "flockLuceneThread.h"

#include "nsCOMPtr.h"

class flockLucene : public flockILucene
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_FLOCKILUCENE

  flockLucene();

private:
  virtual ~flockLucene();
  nsCOMPtr<flockLuceneThread> mThread;
  nsCOMPtr<flockILucene> mProxyAsync;
  nsCOMPtr<flockILucene> mProxySync;
};

#endif
