//
// BEGIN FLOCK GPL
//
// Copyright Flock Inc. 2005-2008
// http://flock.com
//
// This file may be used under the terms of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
//
// END FLOCK GPL
//

var gHandler = null;
var gWindow = null;
var gWizard = null;

function onLoad(aEvt) {
    dump("WE ONLOAD\n");
    gWindow = window;
    gWizard = $("photoLoginWizard");

    gHandler = window.arguments[0];
    gHandler.mWizard = gWizard;
    gHandler.mWindow = gWindow;
    gHandler.mDocument = document;

    gHandler.onLoad(aEvt);

    if (gHandler.startPage && 
        gWizard.currentPage.pageid != gHandler.startPage) {

        gWizard.goTo(gHandler.startPage);
    }
}

function onCredentialsShown(aEvt) {
    gHandler.onCredentialsShown(aEvt); 
}
function onCredentialsAdvanced(aEvt) { gHandler.onCredentialsAdvanced(aEvt); }

function onProcessingShown(aEvt) {
    gHandler.onProcessingShown(aEvt); 
}
function onProcessingRewound(aEvt) { gHandler.onProcessingRewound(aEvt); }

function onSuccessShown(aEvt) { gHandler.onSuccessShown(aEvt); }
function onSuccessAdvanced(aEvt) { gHandler.onSuccessShown(aEvt); }

function onWizardFinish(aEvt) { gHandler.onWizardFinish(aEvt); }
function onWizardCancel(aEvt) { gHandler.onWizardCancel(aEvt); }
