// BEGIN FLOCK PRIV1
//
// Copyright Flock Inc. 2005-2008
// http://flock.com
//
// This file (or files) is the sole property of Flock Inc.  You must recieve
// explicit written permision from a legal representative of Flock Inc.
// to modify, or redistribute this file (or files) in any form or terms,
// other than the form and terms under which you recieved it.  If you do not
// have a written licence from a legal representive of flock defining the terms
// which you can modify or redistribute this file (or files) you may assume
// that you do not have any rights to modify or redistribute this file (or
// files).
//
// Software distributed under the License is distributed on an "AS IS"
// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
// License for the specific language governing rights and limitations under
// the License.
//
// END FLOCK PRIV1

// Set the edition code, to make the User-Agent identifiable as seperate edition
pref("general.useragent.edition", "photobucket");

// Microedition for reporting purposes
pref("flock.microEdition", "photobucket");

// URL for homepage on first-run (even if the user imported their own):
pref("startup.homepage_welcome_url", "http://www.flock.com/photobucket/welcome");

// URL for homepage on first-run after upgrading:
pref("startup.homepage_override_url", "http://www.flock.com/photobucket/update/%VERSION%/");

// URL for user-defined homepage:
pref("browser.startup.homepage", "chrome://partner-branding/content/browserconfig.properties");

// URL for homepage value used if during installation the user requests that
// their homepage be reset:
pref("browser.startup.homepage_reset", "chrome://partner-branding/content/browserconfig.properties");

// Top-most media service in the Accounts & Services sidebar:
pref("flock.accounts.top.media", "photobucket");

// Flickr is not surfaced in the media bar for the photobucket edition
pref('flock.mediabar.defaultMediaStreams.ignoredServicesList','flickr');
pref('flock.mediabar.searchBar.ignoredServicesList','flickr,piczo');

// Default query for the mediabar
pref("flock.media.defaultquery.service", "photobucket");
pref("flock.media.defaultquery.query", "special:recent");
pref("flock.media.defaultquery.label", "Recent Public Photos");

// Default settings for photo resizing in the uploader
pref("flock.photo.resize", true);
pref("flock.photo.resize.dimensions", 800);

// Custom affiliate codes
pref("browser.search.param.yahoo-fr", "flo2");
pref("browser.search.param.yahoo-type", "pb1.1");

// Auto keep accounts
pref("flock.service.photobucket.autoKeepAccounts", true);

// Help menu tour link (Getting Started)
pref("flock.tour_page_url", "http://flock.com/photobucket/welcome/");
