//
// BEGIN FLOCK GPL
//
// Copyright Flock Inc. 2005-2008
// http://flock.com
//
// This file may be used under the terms of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
//
// END FLOCK GPL
//

pref("startup.homepage_override_url","http://www.flock.com/tour/");
pref("startup.homepage_welcome_url","http://wiki.flock.com/index.php?title=Cormorant_Developer_Preview_Release_Notes");
// URL user can browse to manually if for some reason all update installation
// attempts fail.
pref("app.update.url.manual", "http://www.flock.com/download/");
// A default value for the "More information about this update" link
// supplied in the "An update is available" page of the update wizard.
pref("app.update.url.details", "http://www.flock.com/products/flock/releases/0.8.php");

// Release notes URL
pref("app.releaseNotesURL", "http://wiki.flock.com/index.php?title=Cormorant_Developer_Preview_Release_Notes");

// Default query for the mediabar
pref("flock.media.defaultquery.service", "photobucket");
pref("flock.media.defaultquery.query", "special:interestingness");
pref("flock.media.defaultquery.label", "Interestingness");

pref("flock.service.facebook.disabled", true);
pref("flock.service.flickr.disabled", true);
pref("flock.service.piczo.disabled", true);
pref("flock.service.twitter.disabled", true);
pref("flock.service.youtube.disabled", true);

// Setup some defaults for this build
pref("browser.shell.checkDefaultBrowser", false);

// Help menu tour link (Getting Started)
pref("flock.tour_page_url", "http://flock.com/getting-started/%VERSION%/");
