// BEGIN FLOCK GPL
//
// Copyright Flock Inc. 2005-2008
// http://flock.com
//
// This file may be used under the terms of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
//
// END FLOCK GPL

Cc = Components.classes;
Ci = Components.interfaces;

var serviceMgr = Cc["@flock.com/webservice-manager;1"].getService(Ci.flockIWebServiceManager);
var gParams;

/*
 * Coop stuff
 */
var faves_coop = Cc["@flock.com/singleton;1"]
                 .getService(Ci.flockISingleton)
                 .getSingleton("chrome://flock/content/common/load-faves-coop.js")
                 .wrappedJSObject;

function onLoad() {
  gParams = window.arguments[0].QueryInterface(Components.interfaces.nsIDialogParamBlock);
  var name = gParams.GetString(0);
  var icon = gParams.GetString(1);

  $('favicon').setAttribute('src', icon);
  $('title').setAttribute('value', 'Enable '+name+' in Flock!');
}

function onAccept() {
  dump("==== We're returning "+$("result-group").value+" ===\n");
  gParams.SetString(2, $("result-group").value);
  return true;
}
