//
// BEGIN FLOCK GPL
//
// Copyright Flock Inc. 2005-2008
// http://flock.com
//
// This file may be used under the terms of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
//
// END FLOCK GPL
//

const DEFAULT_TEST_FILE = 'file:///tmp/quicktest.js';

function flock_QuickTest()
{
  if (document.referrer)
     return;

  var filename = DEFAULT_TEST_FILE;

  var url = document.documentURI;
  var index = url.indexOf('?');

  if (index != -1) {
    filename = decodeURIComponent(url.substr(index + 1));
  }

  if (filename.indexOf('file:') == -1) {
    var file = Components.classes['@mozilla.org/file/local;1']
      .createInstance(Components.interfaces.nsILocalFile);
    file.initWithPath(filename);

    var ios = Components.classes['@mozilla.org/network/io-service;1']
      .getService(Components.interfaces.nsIIOService);
    var fh = ios.getProtocolHandler('file')
      .QueryInterface(Components.interfaces.nsIFileProtocolHandler);

    filename = fh.getURLSpecFromFile(file);
  }

  var loader = Components.classes['@mozilla.org/moz/jssubscript-loader;1']
    .getService(Components.interfaces.mozIJSSubScriptLoader);
  loader.loadSubScript(filename);
}
