// BEGIN FLOCK PRIV1
//
// Copyright Flock Inc. 2005-2008
// http://flock.com
//
// This file (or files) is the sole property of Flock Inc.  You must recieve
// explicit written permision from a legal representative of Flock Inc.
// to modify, or redistribute this file (or files) in any form or terms,
// other than the form and terms under which you recieved it.  If you do not
// have a written licence from a legal representive of flock defining the terms
// which you can modify or redistribute this file (or files) you may assume
// that you do not have any rights to modify or redistribute this file (or
// files).
//
// Software distributed under the License is distributed on an "AS IS"
// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
// License for the specific language governing rights and limitations under
// the License.
//
// END FLOCK PRIV1

var brandingUtilities = {};

brandingUtilities.buildWebsiteUrl =
function BU_buildWebsiteUrl(aComponent, aRef, aAction, aPartner, aExtra) {
  var params = {
    component: aComponent,
    partner: aPartner,
    ref: aRef,
    distcode: "photobucket",
    action: aAction
  };

  if (aExtra) {
    for (var key in aExtra) {
      params[key] = aExtra[key]
    }
  }

  var metrics = Components.classes["@flock.com/metrics-service;1"]
                          .getService(Components.interfaces.flockIMetricsService);
  params["User-UUID"] = metrics.getUserUUID();

  var paramList = [];
  for (var key in params) {
    var value = params[key];
    paramList.push(encodeURIComponent(key) + "=" + encodeURIComponent(value));
  }

  return "http://redir.flock.com/redir?" + paramList.join("&");
}
