// the Flock default favorites - inspired by prefs.js

function newBM(aName, aURL, aFavicon) {
  var bm = new coop.Bookmark({ name: aName, URL: aURL });
  bm.LastVisitDate = new Date();
  if (aFavicon) { bm.favicon = aFavicon; }
  return bm;
};

var toolbar = coop.toolbar.folder;
if (!toolbar) {
  toolbar = new coop.Folder({name: "Favorites Toolbar"});
  coop.toolbar.folder = toolbar;
}

toolbar.children.addOnce(newBM("Developer Site", "http://developer.flock.com/"));
toolbar.children.addOnce(newBM("Planet Flock", "http://www.planetflock.org/"));
coop.bookmarks_root.children.addOnce(toolbar);
