/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsNativeAppSupportBase.h"
#include "prenv.h"
#include "nsString.h"

#include "gdk/gdk.h"

#include "nsString.h"

/*********************************************************
 * nsNativeAppSupportGtk class declaration
 ********************************************************/
class nsNativeAppSupportGtk : public nsNativeAppSupportBase {
public:
  nsNativeAppSupportGtk() : mDialog(NULL) { }

  NS_DECL_ISUPPORTS_INHERITED

  // Overrides of base implementation.
  //NS_IMETHOD SetupSysTrayIcon();
  //NS_IMETHOD RemoveSysTrayIcon();
  NS_IMETHOD CreateSplashScreen();
  NS_IMETHOD ShowSplashScreen();
  NS_IMETHOD HideSplashScreen();
  NS_IMETHOD CloseSplashScreen();

private:
  // Splash Screen properties
  GdkWindow *mDialog;
};
